Bank rules
/bank-rules/{id}
Update a bank rule
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
name?string
Length
1 <= lengthstatus?string|null
priority?integer
Range
-9007199254740991 <= value <= 9007199254740991transactionType?string
Value in
"deposit" | "expense"mode?string
Value in
"suggest" | "autoCreateAndMatch"matchMode?string
Value in
"all" | "any"conditions?|null
descriptionOverride?string|null
usePriorMonthEnd?boolean
Accrual date override for expense bank rules: post on the prior month end instead of the bank record date
vendorContactId?string|null
accountIds?|null
lines?
Items
1 <= itemsResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.vrplatform.app/bank-rules/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"status": "active",
"priority": -9007199254740991,
"transactionType": "deposit",
"mode": "suggest",
"matchMode": "all",
"conditions": [
{
"type": "description",
"operator": "contains",
"value": "string"
}
],
"descriptionOverride": "string",
"usePriorMonthEnd": true,
"version": -9007199254740991,
"vendorContact": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"firstName": "string",
"uniqueRef": "string",
"shortRef": "string"
},
"accounts": [
{
"id": "string",
"name": "string",
"uniqueRef": "string",
"status": "active"
}
],
"lines": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"sortOrder": 9007199254740991,
"splitMode": "fixed",
"fixedCentAmount": 9007199254740991,
"percentageBps": 100000,
"assignment": "deposit_merchantFee",
"party": "owners",
"taxBehavior": "excluded",
"descriptionOverride": "string",
"markup": {
"amount": -9007199254740991,
"taxBehavior": "excluded",
"taxRate": {
"id": "string",
"name": "string",
"basisPoints": 100000
}
},
"account": {
"id": "string",
"name": "string",
"uniqueRef": "string",
"status": "active"
},
"listing": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"uniqueRef": "string",
"shortRef": "string"
},
"contact": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"firstName": "string",
"uniqueRef": "string",
"shortRef": "string"
},
"taxRate": {
"id": "string",
"name": "string",
"basisPoints": 100000
}
}
]
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}